.catalog-sections {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-auto-rows: minmax(395px, auto);
    grid-gap: 40px;
}

.catalog-sections--with-big .section-item-1 { grid-area: 1 / 1 / 2 / 2; }
.catalog-sections--with-big .section-item-2 { grid-area: 1 / 2 / 2 / 3; }
.catalog-sections--with-big .section-item-3 { grid-area: 2 / 1 / 3 / 2; }
.catalog-sections--with-big .section-item-4 { grid-area: 2 / 2 / 3 / 3; }
.catalog-sections--with-big .section-item--big { grid-area: 1 / 3 / 3 / 5; }
.catalog-sections--with-big .section-item-5 { grid-area: 3 / 1 / 4 / 2; }
.catalog-sections--with-big .section-item-6 { grid-area: 3 / 2 / 4 / 3; }
.catalog-sections--with-big .section-item-7 { grid-area: 3 / 3 / 4 / 4; }
.catalog-sections--with-big .section-item-8 { grid-area: 3 / 4 / 4 / 5; }

@media (max-width: 1200px) {
    .catalog-sections {
        grid-template-columns: repeat(3, 1fr);
        grid-auto-rows: minmax(395px, auto);
        grid-gap: 20px;
    }

    /* Сбрасываем все явно заданные grid-area */
    .catalog-sections--with-big .section-item-1,
    .catalog-sections--with-big .section-item-2,
    .catalog-sections--with-big .section-item-3,
    .catalog-sections--with-big .section-item-4,
    .catalog-sections--with-big .section-item--big,
    .catalog-sections--with-big .section-item-5,
    .catalog-sections--with-big .section-item-6,
    .catalog-sections--with-big .section-item-7,
    .catalog-sections--with-big .section-item-8 {
        grid-area: auto;
    }

    /* Задаем новый порядок */
    .catalog-sections--with-big .section-item-1 { order: 1; }
    .catalog-sections--with-big .section-item-2 { order: 2; }
    .catalog-sections--with-big .section-item--big { order: 3; }
    .catalog-sections--with-big .section-item-3 { order: 4; }
    .catalog-sections--with-big .section-item-4 { order: 5; }
    .catalog-sections--with-big .section-item-5 { order: 6; }
    .catalog-sections--with-big .section-item-6 { order: 7; }
    .catalog-sections--with-big .section-item-7 { order: 8; }
    .catalog-sections--with-big .section-item-8 { order: 9; }
}

@media (max-width: 992px) {
    .catalog-sections {
        grid-template-columns: repeat(2, 1fr);
        grid-auto-rows: minmax(343px, auto);
    }
}

@media (max-width: 500px) {
    .catalog-sections {
        grid-template-columns: 1fr;
        grid-auto-rows: minmax(343px, auto);
    }
}

.section-item {
    position: relative;
    width: 100%;
    height: 100%;
    padding: 40px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 10px;
    border-radius: 24px;
    overflow: hidden;
    transition-duration: 0.3s;
}

@media (max-width: 768px) {
    .section-item {
        padding: 20px;
    }
}

.section-item__header {
    width: 100%;
    display: flex;
    justify-content: space-between;
    gap: 10px;
}

.section-img {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    z-index: -1;
    display: flex;
    justify-content: center;
    align-items: center;
    transition-duration: 0.3s;
    background-color: #EAEAEA;
}

.section-item:hover .section-img {
    background-color: #AC0D12;
    transition-duration: 0.3s;
}

.section-item:hover .section-item-link,
.section-item:hover .section-name {
    color: #fff;
}

.section-img img {
    max-width: 395px;
    max-height: 395px;
}

.section-item--big .section-name {
    font-size: 32px;
}

@media (max-width: 1200px) {
    .section-item--big .section-name {
        font-size: 20px;
    }
}

.section-item--big .section-img img {
    max-width: 100%;
    max-height: 100%;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
@media (max-width: 992px) {
    .section-img img {
        max-width: 100%;
        max-height: 100%;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
}
@media (max-width: 500px) {
    .section-img img {
        max-width: unset;
        max-height: unset;
        width: 100%;
    }
}

@media (max-width: 374px) {
    .section-img img {
        width: unset;
        height: 100%;
    }
}

.section-elements-count {
    background-color: #F3F3F3;

    padding: 8px;
    font-weight: 500;
    font-size: 16px;
    line-height: 120%;
    letter-spacing: 0;
    text-align: center;
    color: #444444;
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: 35px;
    height: 35px;
    border-radius: 4px;
}

.section-name {
    font-weight: 500;
    font-size: 20px;
    line-height: 100%;
    letter-spacing: 0;
    color: #111111;
}

.section-item-link {
    font-weight: 500;
    font-size: 16px;
    line-height: 140%;
    letter-spacing: 0;
    text-decoration: underline;
    color: #111111;
}

.section-item:hover .section-img {
    transform: scale(1.05);
    transition-duration: 0.3s;
}
